%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%      Markovian Dynamics on Reaction Networks       %%%%%%%%%%%%
%%%%%%%%%%%             Example: Opinion formation             %%%%%%%%%%%%
%%%%%%%%%%%           RUN LINEAR NOISE APPROXIMATION           %%%%%%%%%%%%
%%%%%%%%%%%            Authors: Jenkinson/Goutsias             %%%%%%%%%%%%
%%%%%%%%%%%             Last Modified: 04/18/2012              %%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Compute RHS of mean equations
%
function dzeta_dt = socialRHS(t,zeta,kt1,kt2,at1,at2,at3)

dzeta_dt = zeros(4,1);

dzeta_dt(1) = kt1*(1-(zeta(1)-zeta(2)))*exp(at1*(zeta(1)-zeta(2))...
                    +at2*(zeta(3)-zeta(4))); 
dzeta_dt(2) = kt1*(1+(zeta(1)-zeta(2)))*exp(-at1*(zeta(1)-zeta(2))...
                    -at2*(zeta(3)-zeta(4)));
dzeta_dt(3) = kt2*(1-(zeta(3)-zeta(4)))*exp(at3*(zeta(1)-zeta(2)));
dzeta_dt(4) = kt2*(1+(zeta(3)-zeta(4)))*exp(-at3*(zeta(1)-zeta(2)));
